Grantlee: Grantlee::MediaWikiMarkupBuilder Class Reference

Grantlee 5.1.0

Public Member Functions | List of all members
Grantlee::MediaWikiMarkupBuilder Class Reference

Creates MediaWiki markup from a QTextDocument. More...

`#include <mediawikimarkupbuilder.h>`

Inheritance diagram for Grantlee::MediaWikiMarkupBuilder:
[legend]

## Public Member Functions
| MediaWikiMarkupBuilder ()
void | addNewline () override
void | appendLiteralText (const QString &text) override
void | beginAnchor (const QString &href=QString(), const QString &name=QString()) override
void | beginEmph () override
void | beginHeader (int level) override
void | beginList (QTextListFormat::Style type) override
void | beginListItem () override
void | beginStrikeout () override
void | beginStrong () override
void | beginUnderline () override
void | endAnchor () override
void | endEmph () override
void | endHeader (int level) override
void | endList () override
void | endListItem () override
void | endParagraph () override
void | endStrikeout () override
void | endStrong () override
void | endUnderline () override
const QString | escape (const QString &s)
QString | getResult () override
Public Member Functions inherited from Grantlee::AbstractMarkupBuilder
virtual | ~AbstractMarkupBuilder ()
virtual void | appendRawText (const QString &text)=0
virtual void | beginBackground (const QBrush &brush)=0
virtual void | beginFontFamily (const QString &family)=0
virtual void | beginFontPointSize (int size)=0
virtual void | beginForeground (const QBrush &brush)=0
virtual void | beginParagraph (Qt::Alignment a=Qt::AlignLeft, qreal top=0.0, qreal bottom=0.0, qreal left=0.0, qreal right=0.0)=0
virtual void | beginSubscript ()=0
virtual void | beginSuperscript ()=0
virtual void | beginTable (qreal cellpadding, qreal cellspacing, const QString &width)=0
virtual void | beginTableCell (const QString &width, int colSpan, int rowSpan)=0
virtual void | beginTableHeaderCell (const QString &width, int colSpan, int rowSpan)=0
virtual void | beginTableRow ()=0
virtual void | endBackground ()=0
virtual void | endFontFamily ()=0
virtual void | endFontPointSize ()=0
virtual void | endForeground ()=0
virtual void | endSubscript ()=0
virtual void | endSuperscript ()=0
virtual void | endTable ()=0
virtual void | endTableCell ()=0
virtual void | endTableHeaderCell ()=0
virtual void | endTableRow ()=0
virtual void | insertHorizontalRule (int width=-1)=0
virtual void | insertImage (const QString &url, qreal width, qreal height)=0

## Detailed Description

Definition at line 32 of file mediawikimarkupbuilder.h.

## Constructor & Destructor Documentation

## ◆ MediaWikiMarkupBuilder()

Grantlee::MediaWikiMarkupBuilder::MediaWikiMarkupBuilder | ( |  | ) |

Creates a new MediaWikiMarkupBuilder

## Member Function Documentation

## ◆ addNewline()

void Grantlee::MediaWikiMarkupBuilder::addNewline | ( |  | ) |
| overridevirtual

Add a newline to the markup.

Implements Grantlee::AbstractMarkupBuilder.

## ◆ appendLiteralText()

void Grantlee::MediaWikiMarkupBuilder::appendLiteralText | ( | const QString & | text | ) |
| overridevirtual

Append the plain text `text` to the markup.

Parameters

  text | The text to append.

Implements Grantlee::AbstractMarkupBuilder.

## ◆ beginAnchor()

void Grantlee::MediaWikiMarkupBuilder::beginAnchor | ( | const QString & | href = `QString()`,
|  | const QString & | name = `QString()`
| ) |  |
| overridevirtual

Begin a url anchor element in the markup

Parameters

  href | The href of the anchor.
  name | The name of the anchor.

Implements Grantlee::AbstractMarkupBuilder.

## ◆ beginEmph()

void Grantlee::MediaWikiMarkupBuilder::beginEmph | ( |  | ) |
| overridevirtual

Begin an emphasised element in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ beginHeader()

void Grantlee::MediaWikiMarkupBuilder::beginHeader | ( | int | level | ) |
| overridevirtual

Begin a level `level` header.

Parameters

  level | An integer between 1 and 6

Implements Grantlee::AbstractMarkupBuilder.

## ◆ beginList()

void Grantlee::MediaWikiMarkupBuilder::beginList | ( | QTextListFormat::Style | style | ) |
| overridevirtual

Begin a new list element in the markup. A list element contains list items, and may contain other lists.

Parameters

  style | The style of list to create.

Implements Grantlee::AbstractMarkupBuilder.

## ◆ beginListItem()

void Grantlee::MediaWikiMarkupBuilder::beginListItem | ( |  | ) |
| overridevirtual

Begin a new list item in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ beginStrikeout()

void Grantlee::MediaWikiMarkupBuilder::beginStrikeout | ( |  | ) |
| overridevirtual

Begin a struck out element in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ beginStrong()

void Grantlee::MediaWikiMarkupBuilder::beginStrong | ( |  | ) |
| overridevirtual

Begin a bold element in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ beginUnderline()

void Grantlee::MediaWikiMarkupBuilder::beginUnderline | ( |  | ) |
| overridevirtual

Begin an underlined element in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endAnchor()

void Grantlee::MediaWikiMarkupBuilder::endAnchor | ( |  | ) |
| overridevirtual

Close the anchor element

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endEmph()

void Grantlee::MediaWikiMarkupBuilder::endEmph | ( |  | ) |
| overridevirtual

Close the emphasised element in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endHeader()

void Grantlee::MediaWikiMarkupBuilder::endHeader | ( | int | level | ) |
| overridevirtual

End a level `level` header.

Parameters

  level | An integer between 1 and 6

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endList()

void Grantlee::MediaWikiMarkupBuilder::endList | ( |  | ) |
| overridevirtual

Close the list.

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endListItem()

void Grantlee::MediaWikiMarkupBuilder::endListItem | ( |  | ) |
| overridevirtual

End the list item

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endParagraph()

void Grantlee::MediaWikiMarkupBuilder::endParagraph | ( |  | ) |
| overridevirtual

Close the paragraph in the markup.

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endStrikeout()

void Grantlee::MediaWikiMarkupBuilder::endStrikeout | ( |  | ) |
| overridevirtual

Close the struck out element in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endStrong()

void Grantlee::MediaWikiMarkupBuilder::endStrong | ( |  | ) |
| overridevirtual

Close the bold element in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ endUnderline()

void Grantlee::MediaWikiMarkupBuilder::endUnderline | ( |  | ) |
| overridevirtual

Close the underlined element in the markup

Implements Grantlee::AbstractMarkupBuilder.

## ◆ escape()

const QString Grantlee::MediaWikiMarkupBuilder::escape | ( | const QString & | s | ) |

Escapes `text` appropriately for MediaWiki.

## ◆ getResult()

QString Grantlee::MediaWikiMarkupBuilder::getResult | ( |  | ) |
| overridevirtual

Return the fully marked up result of the building process. This may contain metadata etc, such as a head element in html.

Returns
  The fully marked up text.

Implements Grantlee::AbstractMarkupBuilder.